#!/bin/bash
# Location of directories and files
WEB_SOURCE_DIR="/Users/elagache/WeatherCat Web Sites/WC AppleScript Web Templates"
WEB_DEST_DIR="/Users/elagache/WeatherCat Web Sites/WC Custom Web Templates"
SED_COMMAND_FILE="/Users/elagache/Applications/WeatherCat Scripts/WC AppleScript Tags Processor.app/Contents/Resources/Shell Scripts/WC_AppleScript_tags.sed"

# Loop through all the template files containing pseudo web tags, run SED, and create new files in another directory
for template_file in "$WEB_SOURCE_DIR"/*; do
     result_file=$(basename "$template_file")
     sed -f "$SED_COMMAND_FILE" "$template_file" > "$WEB_DEST_DIR/$result_file"
     # Log every file processed.
     logger -t "WC AppleScript Tags Processor" "Processed WC Applescript template file: $result_file"
done
